%define section free

Summary:        Xwork IOC Framework
Name:           xwork
Version:        1.0.5
Release:        1jpp
Epoch:          0
License:        Apache Software License modified
URL:            http://www.opensymphony.com/xwork/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        xwork-1.0.5.zip
Source1:        xwork-LICENSE.txt
Patch0:         xwork-1.0.5-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6, junit
BuildRequires:  ant-nodeps >= 0:1.6
BuildRequires:  java-devel >= 0:1.4
BuildRequires:  jsch
BuildRequires:  mockobjects
BuildRequires:  mockobjects-jdk1.4
BuildRequires:  mockobjects-alt-jdk1.4
BuildRequires:  mockobjects-jdk1.4-j2ee1.3
BuildRequires:  velocity
BuildRequires:  javamail
BuildRequires:  ognl
BuildRequires:  oscore
BuildRequires:  jakarta-commons-logging
BuildRequires:  jaxen
BuildRequires:  rhino
BuildRequires:  qdox
BuildRequires:  xmlface
Requires:  java >= 0:1.4
Requires:  javamail
Requires:  ognl
Requires:  oscore
Requires:  jakarta-commons-logging
Requires:  jaxen
Requires:  rhino
Requires:  qdox
Requires:  xmlface
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
XWork is an command-pattern framework that is used to power 
WebWork as well as other applications. XWork provides an 
Inversion of Control container, a powerful expression 
language, data type conversion, validation, and pluggable 
configuration. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -c -n %{name}
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant/ant-nodeps ant/ant-junit junit"

pushd lib/build
ln -sf $(build-classpath clover10) clover.jar
ln -sf $(build-classpath jsch) .
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath mockobjects-j2ee1.3) .
ln -sf $(build-classpath mockobjects-alt) .
ln -sf $(build-classpath mockobjects) .
ln -sf $(build-classpath mockobjects-core) .
ln -sf $(build-classpath velocity) .
popd
pushd lib/core
ln -sf $(build-classpath javamail/mailapi) mail.jar
ln -sf $(build-classpath ognl) .
ln -sf $(build-classpath oscore) .
ln -sf $(build-classpath commons-logging) .
popd
pushd lib/editor
#BUILD/xwork/lib/editor/jaxen-dom.jar.no
#BUILD/xwork/lib/editor/jaxen-core.jar.no
#BUILD/xwork/lib/editor/saxpath.jar.no
ln -sf $(build-classpath jaxen) .
ln -sf $(build-classpath js) .
ln -sf $(build-classpath qdox) .
ln -sf $(build-classpath xmlface/xe-relativelayout-lib) .
ln -sf $(build-classpath xmlface/xe-xface-core) .
ln -sf $(build-classpath xmlface/xe-xface-swt) .
ln -sf $(build-classpath xmlface/xe-xface-swing) .
popd

ant -Dbuild.sysclasspath=first dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 0644 build/dist/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 0644 build/dist/%{name}-editor-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-editor-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp build/dist/docs/*.dtd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
rm build/dist/docs/*.dtd 

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf build/dist/docs/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/dist/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/LICENSE.txt


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_datadir}/%{name}-%{version}
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}

%changelog
* Wed Sep 21 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.5-1jpp
- First JPackage release
